<?php

$urls = [
    "http://www.naturalelementhomes.com",
    "https://www.google.com",
    "https://www.homedepot.com/p/Hampton-Bay-Blue-8-ft-x-10-ft-Traditional-Medallion-Indoor-Outdoor-Area-Rug-3133087/330480540",
    "https://www.build.com/axor-12595/s2037699?uid=4885026&searchId=goXqprz2j9",
    "https://www.lowes.com/pd/ORTHO-Groundclear-Ready-to-Use-1-Gallon-Weed-and-Grass-Killer/1000833738",
    "https://www.lowes.com/pl/cooktops/electric-cooktops/4294715799",
    "https://www.sherwin-williams.com/homeowners/products/emerald-interior-acrylic-latex-paint?colorPartNumber=SW7568&colorType=PALETTE",
];

$proxy = 'socks5://x8182689:i3jrTPUmAQ@77.247.181.209:1080';
$proxyauth = 'x8182689:i3jrTPUmAQ';

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $urls[0]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_PROXY, $proxy);
// curl_setopt($ch, CURLOPT_PROXYUSERPWD, $proxyauth);
curl_setopt($ch, CURLOPT_PROXYTYPE, CURLPROXY_SOCKS5);
// curl_setopt($ch, CURLOPT_HTTPPROXYTUNNEL, TRUE);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
curl_setopt($ch, CURLOPT_HEADER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Content-Type: text/html', 
    'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/18.2 Safari/605.1.15', 
    // 'X-Forwarded-For: 174.80.28.191',
    // 'Referer: https://www.google.com/search?q=lowes',
    // 'Cookie: sn=2333'
    // 'Accept: text/html,application/xhtml+xml,application/xml;',
    // 'Accept-Encoding: gzip, deflate, br',
    // 'Accept-Language: en-US,en;q=0.9',
    // 'Priority: u=0, i',
    // 'Sec-Fetch-Dest: document',
    // 'Sec-Fetch-Mode: navigate',
    // 'Sec-Fetch-Site: none',
    // 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/18.2 Safari/605.1.15'
]);

$response     = curl_exec($ch);
$responseCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
?>

<h1><?php echo $responseCode; ?></h1>
<!-- <pre><?php //print_r($response); ?></pre> -->
<?php echo htmlentities($response); ?>